TFTPD(8)

NAME
tftpd - DARPA Internet Trivial File Transfer Protocol server

SYNOPSIS
tftpd [-s directory] [-l] [-n] [directory ...]

DESCRIPTION
tftpd is a server which supports the DARPA Trivial File Transfer Protocol. The TFTP server operates at the port indicated in the ‘tftp’ service description; see services(5). The server is normally started by inetd(8).

The use of tftp(1) does not require an account or password on the remote system. Due to the lack of authentication information, tftpd will allow only publicly readable files to be accessed. Files containing the string ``/../'' are not allowed. Files may be written only if they already exist and are publicly writable. Note that this extends the concept of “public” to include all users on all hosts that can be reached through the network; this may not be appropriate on all systems, and its implications should be considered before enabling tftp service. The server should have the user ID with the lowest possible privilege.

Access to files may be restricted by invoking tftpd with a list of directories by including up to 20 pathnames as server program arguments in /etc/inetd.conf. In this case access is restricted to files whose names are prefixed by the one of the given directories. The given directories are also treated as a search path for relative filename requests.

The options are:

-l  Logs all requests using syslog(3).

-n  Suppresses negative acknowledgement of requests for nonexistent relative filenames.

-s  tftpd will chroot(2) on startup; therefore the remote host is not expected to pass the directory as part of the file name to transfer. This option is intended primarily for compatibility with SunOS boot ROMs which do not include a directory name.

SEE ALSO
tftp(1), inetd(8)

HISTORY
The tftpd command appeared in 4.2BSD.

The -s flag appeared in NetBSD 0.9a.